<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dialup" id="cost-by-telephone-number" charttype="bars">

 <lire:title>Cost By Telephone Number Dialup Report</lire:title>
 <lire:description>
  <para>This report lists the total cost for each telephone
        number which has been called to.</para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Cost By Telephone Number</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <!-- inbound connections do not cost anything -->
  <lire:eq arg1="$direction" arg2="outbound"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-cost_total">
   <lire:field name="telephone_number"/>
   <lire:sum name="cost_total" field="cost"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>
